window.Gleam.initSearch([{"doc":"go_over","title":"go_over","content":"# 🕵️‍♂️ go_over\n\n[![Package Version](https://img.shields.io/hexpm/v/go_over)](https://hex.pm/packages/go_over)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/go_over/)\n[![mit](https://img.shields.io/github/license/bwireman/go-over?color=brightgreen)](https://github.com/bwireman/over/blob/main/LICENSE)\n[![gleam js](https://img.shields.io/badge/%20gleam%20%E2%9C%A8-js%20%F0%9F%8C%B8-yellow)](https://gleam.run/news/v0.16-gleam-compiles-to-javascript/)\n[![gleam erlang](https://img.shields.io/badge/erlang%20%E2%98%8E%EF%B8%8F-red?style=flat&amp;label=gleam%20%E2%9C%A8)](https://gleam.run)\n\nA tool to audit Erlang &amp; Elixir dependencies, to make sure your ✨ gleam\nprojects really sparkle!\n\n🚨 _**NOTE**_: security advisories are _NOT_ currently monitored for gleam\ndependencies. The language, while excellent, is far too new and niche\n\n# 🔽 Install\n\n```sh\ngleam add --dev go_over\n```\n\n## 📣 Also!\n\n- add `.go-over/` to your `.gitignore`\n- make sure `git` &amp; `curl` are installed (`wget` and `httpie` are also\n  supported)\n\n#### 🌸 Javascript\n\nIf running with Javascript install\n\n```json\n{\n  &quot;devDependencies&quot;: {\n    &quot;yaml&quot;: &quot;^2.4.3&quot;\n  }\n}\n```\n\nBun, Deno &amp; Nodejs are _all_ supported!\n\n# ▶️ Usage\n\n```sh\ngleam run -m go_over\n```\n\n### 🎥 Obligatory VHS\n\n![demo](https://raw.githubusercontent.com/bwireman/go-over/main/images/demo.gif)\n\n### 🏴 Flags\n\n- `--format` FORMAT: Specify the output format of any warnings, [minimal,\n  verbose, json] (default: None)\n- `--puller` Specify the tool used to reach out to hex.pm, [curl, wget, httpie]\n  (default: None)\n- `--force`: Force pulling new data even if the cached data is still valid\n- `--outdated`: Additionally check if newer versions of dependencies exist\n- `--ignore-indirect`: Ignore all warnings for indirect dependencies\n- `--verbose`: Print progress as packages are checked\n- `--help,-h`: Print help\n\nFlags override config values if set\n\n### ⚙️ Config\n\nOptional settings that can be added to your project&#39;s `gleam.toml`\n\n```toml\n[go-over]\n# disables caching if false\n# default: true\ncache = true\n# if true all cached data will be stored in user&#39;s home directory\n# allowing cache to be shared between projects\n# default: true\nglobal = true\n# sets output format for warnings [&quot;minimal&quot;, &quot;detailed&quot;, &quot;json&quot;]\n# default: &quot;minimal&quot;\nformat = &quot;minimal&quot;\n# will additionally check if newer versions of dependencies exist\n# default: true\noutdated = true\n# tool used to pull information from hex.pm [&quot;curl&quot;, &quot;wget&quot;, &quot;httpie&quot;]\n# default: &quot;curl&quot;\npuller = &quot;curl&quot;\n# licenses dependencies are allowed to use. If left empty then all licenses are allowed\n# default: []\nallowed_licenses = []\n\n[go-over.ignore]\n# will ignore all warnings for indirect dependencies\n# default: false\nindirect = false\n# will ignore all warnings for dev-dependencies. Note: to ignore indirect dependencies regardless of source see go-over.ignore.indirect\n# default: false\ndev_dependencies = false\n# list of package names to skip when auditing dependencies\n# default: []\npackages = [&quot;example_package&quot;]\n# list of warning severities to skip when auditing dependencies\n# default: []\n# (case insensitive)\nseverity = [&quot;example_moderate&quot;]\n# list of advisory IDs to skip when auditing dependencies\n# default: []\nids = [&quot;GHSA-xxxx-yyyy-zzzz&quot;]\n```\n\n### ⌛ Caching\n\n- Security advisory data is cached for **_six_** hours\n- hex.pm retired package data is cached for **_one_** hour\n\n## 🪝 pre-commit hooks\n\nYou can add go_over to you&#39;re pre-commit hooks by installing\n[🌵cactus](https://hex.pm/packages/cactus) &amp; then adding this to your\n`gleam.toml`\n\n```toml\n[cactus.pre-commit]\nactions = [\n  { command = &quot;go_over&quot; },\n]\n```\n\n## ⚙️ CI\n\nYou can also schedule daily runs to keep your deps up to date and open issues\nwhen necessary!\n[Example ▶️](https://github.com/bwireman/go-over/blob/main/.github/workflows/deps.yml)\n\n# 🖌️ Other Art\n\n- As I&#39;m sure is no surprise this tool is inspired by (and all around worse\n  than) [mirego/mix_audit](https://github.com/mirego/mix_audit). Please check it\n  out!\n- It also draws inspiration from\n  [mix hex.audit](https://hexdocs.pm/hex/Mix.Tasks.Hex.Audit.html)\n\n# ⚖️ License\n\n- This tool uses\n  [mirego/elixir-security-advisories](https://github.com/mirego/elixir-security-advisories)\n  which is it self licensed with\n\n  - `BSD-3-Clause license`\n  - `CC-BY 4.0 open source license`.\n  - See their\n    [#license section](https://github.com/mirego/elixir-security-advisories?tab=readme-ov-file#license)\n\n- Code original to this repo is Licensed under `MIT`\n","url":"index.html"}]);